# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tlns-google-oauth2-proc"
version = "0.2.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A half-assed procedural macro that generates Scope enums and trait that converting the scopes back and fourth"
documentation = "https://docs.rs/tlns-google-oauth2-proc"
readme = "README.md"
license = "MIT"
repository = "https://github.com/timelessnesses/tlns-google-oauth2"

[lib]
name = "tlns_google_oauth2_proc"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.86"

[dependencies.quote]
version = "1.0.36"

[dependencies.syn]
version = "2.0.68"
features = ["derive"]

[dependencies.titlecase]
version = "3.2.0"

[dependencies.url]
version = "2.5.2"
